|
Menü konumu |
---|
Parça → Temel geometrik şekil oluştur → Prizma |
Tezgahlar |
Parça |
Varsayılan kısayol |
Hiçbiri |
Versiyonda tanıtıldı |
0.14 |
Ayrıca bkz |
Parça → Temel Geometrik Şekil → Kutu |
Description
Açıklama
Parça tezgahındaki Temel Geometrik şekil oluştur diyalog penceresinden bir Parça Prizması bulunmaktadır. Bir Parça Prizması, normal bir çokgen kesiti ve yüksekliği ile tanımlanmış bir katıdır.
Usage
See Part Primitives.
Example

A Part Prism object created with the scripting example below is shown here.
Parametreler
- Çokgen - Parça prizması çokgeninin kenar sayısını belirtir.
- Prizmanın dış çemberinin yarıçapı
- Yükseklik - Prizmanın yüksekliği
See also: Property editor.
A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Prism
- VeriPolygon (
IntegerConstraint
): The number of sides of the polygon. The default is6
. - VeriCircumradius (
Length
): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is2mm
. - VeriHeight (
Length
): The height of the prism. The default is10mm
. - VeriFirst Angle (
Angle
): The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range:0° <= value < 90°
. The default is0°
. - VeriSecond Angle (
Angle
): The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range:0° <= value < 90°
. The default is0°
.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Prism can be created with the addObject()
method of the document:
prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
- Where
"myPrism"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))
doc.recompute()
Bu sayfa şu adresten alınmıştır https://wiki.freecad.org/Part_Prism